Loading...
Searching...
No Matches
casacore::ConstFitsKeywordList Class Reference
fits package (libcasa_fits) » FITS_module

list of read-only FITS keywords More...

`#include <fits.h>`

## Public Member Functions

| ConstFitsKeywordList (FitsKeywordList &x)
const FitsKeyword * | operator() (int n)
const FitsKeyword * | operator() (const FITS::ReservedName &x)
const FitsKeyword * | next (const FITS::ReservedName &x)
const FitsKeyword * | operator() (const FITS::ReservedName &x, int n)
const FitsKeyword * | next (const FITS::ReservedName &x, int n)
const FitsKeyword * | operator() (const char *x)
const FitsKeyword * | next (const char *x)
Bool | isempty () const
void | first ()
void | last ()
const FitsKeyword * | next ()
const FitsKeyword * | prev ()
const FitsKeyword * | curr ()

## Private Attributes

FitsKeywordList & | kw

## Detailed Description

list of read-only FITS keywords

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 1070 of file fits.h.

## Constructor & Destructor Documentation

## ConstFitsKeywordList()

casacore::ConstFitsKeywordList::ConstFitsKeywordList | ( | FitsKeywordList & | x | ) |

inline

Definition at line 1072 of file fits.h.

References kw.

## Member Function Documentation

## curr()

const FitsKeyword * casacore::ConstFitsKeywordList::curr | ( |  | ) |

inline

Definition at line 1091 of file fits.h.

References kw.

## first()

void casacore::ConstFitsKeywordList::first | ( |  | ) |

inline

Definition at line 1087 of file fits.h.

References kw.

## isempty()

Bool casacore::ConstFitsKeywordList::isempty | ( |  | ) | const

inline

Definition at line 1086 of file fits.h.

References kw.

## last()

void casacore::ConstFitsKeywordList::last | ( |  | ) |

inline

Definition at line 1088 of file fits.h.

References kw.

## next() [1/4]

const FitsKeyword * casacore::ConstFitsKeywordList::next | ( |  | ) |

inline

Definition at line 1089 of file fits.h.

References kw.

## next() [2/4]

const FitsKeyword * casacore::ConstFitsKeywordList::next | ( | const char * | x | ) |

inline

Definition at line 1084 of file fits.h.

References kw.

## next() [3/4]

const FitsKeyword * casacore::ConstFitsKeywordList::next | ( | const FITS::ReservedName & | x | ) |

inline

Definition at line 1077 of file fits.h.

References kw.

## next() [4/4]

const FitsKeyword * casacore::ConstFitsKeywordList::next | ( | const FITS::ReservedName & | x,
|  | int | n )

inline

Definition at line 1081 of file fits.h.

References kw.

## operator()() [1/4]

const FitsKeyword * casacore::ConstFitsKeywordList::operator() | ( | const char * | x | ) |

inline

Definition at line 1083 of file fits.h.

References kw.

## operator()() [2/4]

const FitsKeyword * casacore::ConstFitsKeywordList::operator() | ( | const FITS::ReservedName & | x | ) |

inline

Definition at line 1075 of file fits.h.

References kw.

## operator()() [3/4]

const FitsKeyword * casacore::ConstFitsKeywordList::operator() | ( | const FITS::ReservedName & | x,
|  | int | n )

inline

Definition at line 1079 of file fits.h.

References kw.

## operator()() [4/4]

const FitsKeyword * casacore::ConstFitsKeywordList::operator() | ( | int | n | ) |

inline

Definition at line 1074 of file fits.h.

References kw.

## prev()

const FitsKeyword * casacore::ConstFitsKeywordList::prev | ( |  | ) |

inline

Definition at line 1090 of file fits.h.

References kw.

## Member Data Documentation

## kw

FitsKeywordList& casacore::ConstFitsKeywordList::kw

private

Definition at line 1094 of file fits.h.

Referenced by ConstFitsKeywordList(), curr(), first(), isempty(), last(), next(), next(), next(), next(), operator()(), operator()(), operator()(), operator()(), and prev().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h